2009-05-31  Kouhei Sutou  <kou@cozmixng.org>

	* src/lib/pango.rb: use gem version rcairo as fallback.
	Patch by OBATA Akio. Thanks!!!

	* src/depend: use RUBYARCHDIR.
	Patch by OBATA Akio. Thanks!!!

2009-03-07  Kouhei Sutou  <kou@cozmixng.org>

	* src/rbpangoattribute.c, test/test-attribute.rb: add
	Pango::Attribute#start_index= and Pango::Attribute#end_index=.
	Suggested by Geoff Youngs. Thanks!!!

	* src/rbpangolanguage.c, test/test-language.rb: bind
	Pango::Language.default.

	* test/run-test.rb: set $VERBOSE.

2009-02-23  Kouhei Sutou  <kou@cozmixng.org>

	* src/lib/pango.rb: fix indent.

2008-11-01  Kouhei Sutou  <kou@cozmixng.org>

	* src/: use RARRAY_PTR() and RARRAY_LEN().

2008-09-14  Kouhei Sutou  <kou@cozmixng.org>

	* src/rbpangofontdescription.c (font_desc_initialize): fix memory leak.

	* src/rbpangolayout.c (layout_copy): fix memory leak.

	* src/rbpangocairo.c (create_layout, font_map_create_context):
	fix memory leak.
	Reported by James Healy. Thanks!!!

2008-09-13  Kouhei Sutou  <kou@cozmixng.org>

	* extconf.rb: use check_cairo.

2008-08-20  Kouhei Sutou  <kou@cozmixng.org>

	* src/rbpangofontdescription.c (font_desc_set_weight): add missing
	type declaration for 'wight' argument. [#2059917]
	Reported by Blondel Mathieu. Thanks!!!

2008-08-09  Kouhei Sutou  <kou@cozmixng.org>

	* src/rbpangolayout.c: Pango::Layout#font_description= accepts
	font description string too.

	* test/: add.

2008-06-11  Kouhei Sutou  <kou@cozmixng.org>

	* extconf.rb: include pango/pango.h in have_func test.

2008-06-10  Kouhei Sutou  <kou@cozmixng.org>

	* src/rbpangolayoutiter.c: use '#ifndef' not '#if !' for -DXXX variable.

2008-04-13  Kouhei Sutou  <kou@cozmixng.org>

	* extconf.rb: fix rcairo's source path.

2008-03-04  Kouhei Sutou  <kou@cozmixng.org>

	* extconf.rb, src/rbpango.h, src/rbpangoglyphitem.c:
	pango_glyph_item_get_type() was defined in upstream.

2008-01-03  Kouhei Sutou  <kou@cozmixng.org>

	* src/depend: don't use ftools.
	Reported by Carlo E. Prelz. Thanks!!!

2007-12-28  Kouhei Sutou  <kou@cozmixng.org>

	* src/lib/pango.rb: used implicit to_s instead of '+'.

	* src/rbpangoglyphstring.c, src/rbpangolayout.c: used RSTRING_LEN.

2007-08-31  Kazuhiro NISHIYAMA  <zn@mbf.nifty.com>

	* src/depend: re-supported build in no-source directory.

2007-08-13  Kouhei Sutou  <kou@cozmixng.org>

	* src/rbpangocairo.c (Pango.cairo_available?): moved from ...
	* src/lib/pango.rb: ... here.

2007-07-14  Detlef Reichl

	* extconf.rb: Accept the srcdir includes spaces.

2007-07-13  Guillaume Cottenceau

	* src/rbpangoattribute.c, src/rbpangofont.c,
	src/rbpangofontdescription.c, src/rbpangofontset.c,
	src/rbpangoglyphinfo.c, src/rbpangoglyphstring.c,
	src/rbpangolayout.c, src/rbpangolayoutline.c, src/rbpangologattr.c,
	src/rbpangotabarray.c: replace RTEST uses by RVAL2CBOOL

2007-07-13  Guillaume Cottenceau

	* src/rbpangocolor.c: "? Qtrue : QFalse" => CBOOL2RVAL cleanup
	
2007-07-08  Masahiro Sakai  <sakai@tom.sfc.keio.ac.jp>

	* src/*.c: use rb_block_proc() directly instead of using G_BLOCK_PROC().

2006-12-26  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangolayoutline.c: Fixed a comipling warning.
	* extconf.rb: Work MinGW again.

2006-12-11  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangomatrix.c: Add Pango::Matrix#font_scale_factor for Pango-1.2. 
	* src/rbpangofont*.c: Add ATSUIFont classes for Pango-1.2. 

2006-12-05  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangoglyphstring.c: Add Pango::GlyphString#width for Pango-1.4. 
	* src/rbpangofont.c: Pango::Font#describe accept an argument as absolute_size for Pango-1.4.
	* src/rbpangocairo.c: Add Cairo#pango_error_underline_path,
	#show_pango_error_underline. for Pango-1.4.

2006-06-22  Guillaume Cottenceau

	* src/rbpangocontext.c, src/rbpangofont.c, src/rbpangoglyphitem.c,
	src/rbpangolayout.c, src/rbpangolayoutiter.c,
	src/rbpangorenderer.c, src/rbpangoscript.c: simplify code
	
2006-06-17  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangocontext.c: Pango.itemize: Fix memoryleak.
	* sample/*.rb: Code cleanup.

2005-11-29  Laurent Sansonetti  <lrz@gnome.org>

	* src/rbpangoglyphitem.c: Fixed build error.

2005-11-18  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangorenderer.c: Pango::Renderer#matrix= accept nil.
	* src/rbpangomatrix.c: Fix to return wrong value of Pango::Matrix#to_a. 
	* src/rbpangorenderer.c: Pango::Renderer#set_color accept nil.
	Pango::Renderer#activate accept block.

2005-11-17  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangoattribute.c: Fix wrong argument of Pango::Attribute.type_register. 
	Added Pango::AttrAbsoluteSize and Pango::AttrSize removed second parameter.

2005-11-12  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangolayout.c: Added Pango::Layout#markup=. 
	Pango::Layout#tabs: Fix memory leak.
	* src/rbpangocontext.c: Pango::Context#get_metrics: 2nd parameter is omittable. 
	Pango::Context#families: Fix memory leak.

2005-10-16  Masao Mutoh  <mutoh@highway.ne.jp>

	* README: Added cairo/rcairo information.
	* src/lib/pango.rb: Rewrited a code which creates convinient constants 
	to Pango module to avoid to make unexpect values and works Ruby-1.6.

2005-10-15  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/lib/pango.rb: Fixed to work under Ruby-1.6.
	* sample/pango_cairo.rb: Rename cairo.rb to pango_cairo.rb.
	* src/rbpangolayoutline.c, rbpangoengine.c: 
	Fix compiling problem on Pango-1.1. 
	* src/lib/pango.rb: Added Pango.cairo_available?.
	* sample/glyphstring.rb: Added.
	* src/rbpangofontmap.c: Removed the definition of PangoCairoFontMap.
	(It's defined at src/rbpangocairo.c now).
	
2005-10-13  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangofontset.c, rbpangofontsetsimple.c,
	  src/lib/pango.rb: Rename FontSet to Fontset.

2005-10-14  Kouhei Sutou  <kou@cozmixng.org>

	* src/rbpangocairo.c: Added 'pango_' prefix.

	* sample/cairo.rb: Added sample using cairo.

	* src/rbpangocairo.c: Pango::CairoFontMap.new ->
	Pango::CairoFontMap.create because Pango::CairoFontMap is Module.

2005-10-08  Kouhei Sutou  <kou@cozmixng.org>

	* src/rbpangocontext.c
	(rcontext_set_font_options, rcontext_get_font_options): Added
	NULL/nil check.

2005-10-08  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/makeversion.rb: Removed. Use make_version_header() of 
	Ruby/GLib.
	* extconf.rb: Follow above change.

2005-10-07  Masao Mutoh  <mutoh@highway.ne.jp>

	* extconf.rb: Fix a compilation error on Win32 and Ruby/Cairo.

2005-10-05  Kouhei Sutou  <kou@cozmixng.org>

	* extconf.rb: Added Cairo check.

	* src/rbpango.h: Include Cairo related headers.

	* src/rbpangocontext.c: Added 1.10 API.

	* src/rbpangocairo.c: Added.

	* src/lib/pango.rb: Require 'cairo'.

2005-10-02  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangomain.c: Raises RuntimeError if 1st argument is nil. 

2005-09-29  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpango.c: Renamed Pango::VERSION to Pango::BUILD_VERSION.
	Removed Pango::(MAJOR|MINOR|MICRO)_VERSION.

2005-09-18  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangoitem.c: Check pango version for pango_item_get_type().
	* src/rbpangolayoutline.c: ditto.

2005-09-17  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangoengine.c: Added (class names only, Pango::Engine,
	Pango::EngineShape, Pango::EngineLang). 
	* src/rbpangoanalysis.c: Fix problems not to show correct class names
	of Pango::Analysis#shape_engine, #lang_engine. 
	* src/rbpangolayoutline.c: Fix a segfault of Pango::LayoutLine#runs. 
	* src/rbpangolayoutiter.c: Fix a bug of Pango::LayoutIter#line. 
	* sample/script.rb, break.rb, item.rb, layout.rb: Added. 

2005-09-16  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangoscriptiter.c: Added Pango::ScriptIter for Pango-1.4.
	* src/rbpangoscript.c: Added Pango::Script for Pango-1.4.
	* src/rbpangolanguage.c: Added Pango::Language#includes_script. 
	* src/rbpangofontmap.c: 
	Added Pango::(FT2|X|Win32|Cairo|CairoFc|CairoWin32)FontMap.
	* src/rbpangofontface.c: Added Pango::(Fc|FT2|Xft|X|Win32)Face.
	* src/rbpangofontfamily.c: Added Pango::(X|FT2|Win32)Family.
	* src/rbpangofont.c: Added Pango::Font#font_map for Pango-1.9. 
	Supports Pango::CairoFcFont, Pango::CairoFont, Pango::CairoWin32Font
	for Pango-1.10.
	Added Pango::XFont, Pango::FT2Font.
	* src/rbpangoglyphitem.c: Added Pango::GlyphItem#split, #apply_attrs, 
	#letter_space.
	* src/rbpangoglyphstring.c: Added Pango::GlyphString#extents, #index_to_x,
	#x_to_index, #get_logical_widths, #glyphs.
	* src/rbpangocontext.c: Pango::Context#list_families is deprecated.
	Use Pango::Context#families instead.

2005-09-16  Kouhei Sutou  <kou@cozmixng.org>

	* src/lib/pango.rb (Pango): Don't make aliases for:
	- Pango::AttrXXX::TYPE_* -> Pango::XXX_*

2005-09-15  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/makeversion.rb: Added copyright to the header.

2005-09-08  Kouhei Sutou  <kou@cozmixng.org>

	* src/lib/pango.rb (Pango): Add convenient aliases.
	- Pango::Attribute::*    -> Pango::ATTRIBUTE_*
	- Pango::Coverage::*     -> Pango::COVERAGE_*
	- Pango::AttrXXX::TYPE_* -> Pango::XXX_*
	- Pango::AttrXXX::*      -> Pango::XXX_*
	- Pango::XXX::*          -> Pango::*

	* src/rbpangolayoutline.c: Use original
	pango_layout_line_get_type() if available.
	(layout_line_copy): Don't use g_new().

	* src/rbpangolayout.c (layout_get_line): Removed NULL check
	because BOXED2RVAL() does.

2005-09-06  Kouhei Sutou  <kou@cozmixng.org>

	* src/rbpangolayout.c (layout_get_line): Return nil if line is out
	of range.

2005-08-28  Guillaume Cottenceau

	* src/rbpango.h: compile without warning with a recent pango by not
	redefining PANGO_TYPE_ITEM and PANGO_TYPE_LAYOUT_LINE if they are
	already defined
	
2005-07-30  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangolayout.c (layout_get_font_description, 
	layout_set_tabs): 
	Fix type declarations. 

2005-07-24  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangolayoutiter.c: Fix for pango-1.4.x. Reported by Noritsugu Nakamura.
	* extconf.rb src/rbpangofontfamily.c: Fix for pango-1.2.x. 
	* extconf.rb, src/rbpangoattriterator.: Fix to work on pango-1.1.x.

2005-07-23  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangocoverage.c: Fix a compiling warning. 

2005-04-15  Pascal Terjan <pterjan@linuxfr.org>

	* src/rbpangolayoutline.c: Fixed a warning of Pango::LayoutLine#set_runs. 

2005-03-22  Mirko Maischberger  <mirko@lilik.it>
	
	* sample/parse.rb: sh-bang (!#) normalization.
	Reported by Mezz 

2005-03-06  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangoglyphitem.c, src/rbpangocontext.c, rbpangofontfamily.c, 
	rbpangoattrlist.c: Fix compiling errors on pango-1.1.x.
	* extconf.rb, src/rbpangoglyphitem.c, rbpangomain.c, 
	rbpangologattr.c, rbpangolayoutline.c, rbpangolayoutiter.c, 
	rbpangolayout.c, rbpangoanalysis.c, rbpangoattribute.c: 
	Fix compiling errors on pango-1.2.x.
	* README: Revised.

2005-02-17  Masao Mutoh  <mutoh@highway.ne.jp>

	* extconf.rb, src/rbpangoattribute.c:  Fix a compiling problem on 
	MSVC++/pango-1.8.0.

2005-02-15  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangolayoutline.c: Added Pango::LayoutLine#extents, #pixel_extents
	#get_x_ranges. Added the accessors.
	* src/rbpangolayoutiter.c: Added Pango::LayoutIter#line, #char_extents,
	#cluster_extents, #run_extents, #line_extents, #layout_extents
	#run.
	* src/rbpangoglyphitem.c: Added. 
	* src/rbpangoglyphinfo.c: Fix a bug of Pango::GlyphInfo#set_glyph. 
	* src/rbpangotabarray.c: Added a comment. 

2005-02-13  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangolayout.c: Added Pango::Layout#log_attrs.
	* src/rbpangorectangle.c: Added Pango::Rectangle#ascent, #descent, 
	#lbearing, #rbearing.
	* src/rbpangoattriterator.c: Added Pango::AttrIterator#attrs. 
	* src/rbpangoattrlist.c: Added Pango::AttrList#filter.
	* src/rbpangofontset.c: Added Pango::FontSet#each for Pango-1.4. 
	* src/rbpangofontmap.c: Rename Pango::FontMap#list_families to
	#families. Added #shape_engine_type. Added Pango::FcFontMap, XftFontMap.
	* src/rbpangofontface.c: Added Pango::FontFace#sizes. 
	* src/rbpangofontfamily.c: Added Pango::FontFamily#monospace?. 
	Rename Pango::FontFamily#list_faces to #faces.
	* src/rbpangofontmetrics.c: Added underline_(thickness|position),
	strikethrough_(thickness|position).
	* src/rbpangofontdescription.c: Added Pango::FontDescription#set_absolute_size,
	#size_is_absolute? for Pango-1.8.x.
	* src/rbpango.h: Added some type macros. Define PANGO_ENABLE_(ENGINE|BACKEND).
	* src/rbpangofont.c: Added Pango::Font#get_coverage, #get_glyph_extents.
	Added Pango::FcFont, Pango::XftFont.
	* src/rbpangocoverage.c: Added. 
	* src/rbpangoanalysis.c: Added Pango::Analysis#set_extra_attrs, 
	#extra_attrs.
	* sample/attribute.rb: Follow Ruby/GTK changes.
	* src/rbpangoitem.c: Added Pango::Item#offset, #set_offset, #length,
	#set_length, #num_chars, #set_num_chars, #analysis, #set_analysis.
	* src/rbpangologattr.c: Added Pango::LogAttr#backspace_deletes_character?,
	#set_backspace_deletes_characer.
	* src/rbpangoattribute.c: Pango::AttrSize.new supports Pango-1.8. 
	Added Pango::AttrStrikethroughColor, Panog::AttrUnderlineColor,
	Pango::AttrFallback, Pango::AttrLetterSpacing
	* src/rbpangomain.c: Added Pango.reorder_items, .unichar_direction, 
	.find_base_dir, .shape, .break, .get_log_attrs.
	* src/rbpangoitem.c: Fix a wrong argument. 

2005-02-12  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangolayout.c: Added Pango::Layout#(get_)extents, 
	#(get)_pixel_extents. 

2005-02-11  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangomatrix.c: Added accessors for xx, xy, yx, yy, x0, y0.
	Added #to_a.
	* src/rbpangoattribute.c: Fix a segfault. 
	Make a subclass of Data instead of GLib::Boxed.

2005-02-08  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangocontext.c: Added Pango::Context#itemize. 
	* src/rbpangoattrlist.c: Fix wrong argument number of 
	Pango::AttrList.new. 

2005-01-30  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangocontext.c: Added Pango::Context#font_map, 
	#matrix, #set_matrix for Pango-1.6.x.
	* extconf.rb: Follow mkmf-gnome2.rb changes.

2005-01-29  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangorenderer.c: Fix compiling error on MSVC++/Pango-1.8.0.
	#Is it a bug of Pango-1.8.0?
	* src/rbpangoattribute.c: Fix compiling error on MSVC++.

2005-01-28  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangomatrix.c: Added Pango::Matrix for Pango-1.6.
	* src/rbpangorenderer.c: Added Pango::Renderer for Pango-1.8. 
	* src/depend: Added rbpangoversion.h 
	* src/makeversion.rb: Added. Create rbpangoversion.h which defines
	pango version as constants detected from pkg-config. 
	* extconf.rb: Call makeversion.rb.
	* src/rbpango.h: Include rbpangoversion.h.

2005-01-23  Masao Mutoh  <mutoh@highway.ne.jp>

	* extconf.rb, src/rbpangolayout.c: Fix to compile under older pango.
	(Define HAVE_PANGO_LAYOUT_GET_FONT_DESCRIPTION). 
	Reported by Vincent Isambart.

2005-01-10  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangolayout.c: Added Pango#font_description,
	#set_auto_dir, #auto_dir?, #lines.
	Added Pango::Layout#set_ellipsize, #ellipsize, 
	Pango::Layout::EllipsizeMode for Pango-1.6.x.

2004-11-14  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/lib/pango.rb: Works ruby-1.6.x again.

2004-11-06  Geoff Youngs  <g@intersect-uk.co.uk>

	* src/rbpangoitem.c: Pango::Item#split
	  Fix method registration (2 parameters, not 0)

2004-10-28  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpango.h, rbpangolayoutiter.c: Fix compiling warning under 
	pango-1.6.x.

2004-10-17  Vincent Isambart <isambart@netcourrier.com>

	* extconf.rb: Changed add_uniq_to_objs to add_obj.

2004-10-17  Vincent Isambart <isambart@netcourrier.com>

	* extconf.rb: Fixed a bug under ruby-1.9.

2004-03-29  Masao Mutoh  <mutoh@highway.ne.jp>

	* extconf.rb: Fix a bug under ruby-1.6.x.

2004-03-28  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangomain.c: Fix a memory leak of Pango.parse_markup. 
	Reported by Joao Pedrosa

2004-03-14  Masao Mutoh  <mutoh@highway.ne.jp>

	* extconf.rb: Remove src/rbpangoinits.c when run "make distclean".

2003-12-02  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpango.h: Remove definition of CBOOL2RVAL(merged to Ruby/GLib).

2003-11-10  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangologattr.c, src/rbpangoanalysis.c: Added. 

2003-11-08  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/depend: Added.

2003-10-07  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangoattribute.c: Remove debug code. 

2003-09-11  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangolayout.c: Add Pango::Layout#index_to_pos, get_cursor_pos. 
	Move Pango::Layout#line to Pango::Layout#get_line.

2003-09-01  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangocontext.c, rbpangofontdescription.c, rbpangotabarray.c
	rbpangoattribute.c, rbpangolayout.c: Apply enum/flags.
	* sample/attribute.rb: ditto.
	* sample/gdk_layout.rb: Fix warning for ruby-1.8.x.

2003-08-30  Masahiro Sakai  <sakai@tom.sfc.keio.ac.jp>

	* extconf.rb: add set_output_lib call.

	* extconf.rb: fix to allow building in a foreign directory.

2003-08-28  Masao Mutoh  <mutoh@highway.ne.jp>
                                                                                
   * extconf.rb: Exit with 1 when the package is not found.

2003-08-21  Masahiro Sakai  <sakai@tom.sfc.keio.ac.jp>

	* rbpangofontdescription.c: new method Pango::FontDescription#to_s
	(alias to Pango::FontDescription#to_str).

	* src/*.c: define enum/flags classes.

2003-08-17  Vincent Isambart <vincent.isambart@laposte.net>

	* src/rbpangofont.c: Pango::Font#metrics accept no parameter.
	
2003-08-16  Masahiro Sakai  <sakai@tom.sfc.keio.ac.jp>

	* src/rbpangolanguage.c: implement Pango::Language#to_s

	* src/rbpangolanguage.c (language_to_str): use
	pango_language_to_string()

	* src/rbpangofontmap.c: implment Pango::FontMap#list_families

	* src/rbpangofontfamily.c: implement Pango::FontFamily#list_faces

	* src/pango/rbpangocontext.c: implement Pango::Context#list_families

	* src/pango/rbpangofont.c: fix Pango::Font.metrics

2003-08-15  Masahiro Sakai  <sakai@tom.sfc.keio.ac.jp>

	* src/*: use G_DEF_CONSTANTS() for defining enum/flags constants.

2003-05-27  Masao Mutoh  <mutoh@highway.ne.jp>

   * extconf.rb: Follow mkmf-gnome2.rb position changes.

2003-04-05  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangoattribute.c:  Move Pango::Attribute::UNDERLINE_... 
	to Pango::AttrUnderline::...
	Move Pango::Attribute::SCALE_... to Pango::AttrScale::...
	* sample/attribute.rb: Move Pango::Attribute::UNDERLINE_... 
	to Pango::AttrUnderline::...

2003-03-19  Masahiro Sakai  <sakai@tom.sfc.keio.ac.jp>

	* src/pango.def: Add a file

2003-03-08  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangomain.c: Add Pango.pixels 

2003-03-07  Masahiro Sakai  <sakai@tom.sfc.keio.ac.jp>

	* extconf.rb: append "-DRUBY_PANGO_COMPILATION" to $defs.
	* src/rbpango.h: define RUBY_PANGO_VAR macro for exporting variables
	on some win32 platforms.

2003-02-14  Masahiro Sakai  <sakai@tom.sfc.keio.ac.jp>

	* extconf.rb: Use ../mkmf-gnome2.rb

2003-02-10  Masao Mutoh  <mutoh@highway.ne.jp>

	* README: Revise documents.
	Pointed out by Jeremy Henty <jeremy@chaos.org.uk>

2003-02-09  Masao Mutoh  <mutoh@highway.ne.jp>

	* sample/*.rb: Fix to work under Ruby-1.6.x.

2003-02-02  Geoff Youngs <g@intersect-uk.co.uk>

	* src/rbpangolayout.c: Fix a couple of the returned arrays in Pango::Layout 
	used the wrong macros (ie. NUM2INT instead of INT2NUM)
	* src/rbpangomain.c: Add Pango::SCALE.

2003-02-02  Masao Mutoh  <mutoh@highway.ne.jp>

	* sample/gdk_layout.rb: Add a file. 
	* src/rbpangofontmap.c: Comment out test code.
 	* All files: Update copyright.

2003-01-29  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangocontext.c: Fix segfault when Pango::Context#layout, #font_description 
	are return NULL. 
	* src/rbpangolayout.c: Fix wrong arguments of  Pango::Layout#set_mark.

2003-01-11  Masao Mutoh  <mutoh@highway.ne.jp>

	* sample/attribute.rb: Add a file. 
	* src/rbpangocolor.c: Add accessor for the struct PangoColor.
	* src/rbpangofontdescription.c: Remove Pango::FontDescription#to_s.
	* src/rbpangoattribute.c: Improve Gtk::Attribute and children. Add initialize methods.
	* src/rbpangolanguage.c: Add Pango::Language#to_str.

2003-01-04  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpango.h, src/rbpangoattribute.c: 
	Add RBPANGO_ADD_ATTRIBUTE for other libs(rbgdkpango.c).
	Add extern declaration for accessing to pattr, pattrstring, 
	pattrint, pattrfloat, pattrcolor.

2003-01-03  Masao Mutoh  <mutoh@highway.ne.jp>

	* src/rbpangoattribute.c: Add accessor methods to attributes.
	* src/rbpango.c: Add Pango.parse_markup. 
	* src/rbpango.h: Add a file.
	* src/rbpangoinits.c: Remove a file. This file is auto-generated.
	* src/rbpangomain.c: Add Pango.parse_markup.
	* src/lib/pango.rb: Add AttrList#each.
	* sample/label.rb, parse.rb, sample.txt: Add files.

2002-12-31  Masao Mutoh  <mutoh@highway.ne.jp>

	* Initial import. 

